import { makeStyles } from '@mui/styles';
var barWidth = 15;
export var useStyles = makeStyles(function (theme) { return ({
    legendContainer: function (_a) {
        var width = _a.width;
        return ({
            width: "".concat(width, "px"),
            top: '5%',
            height: '90%',
            position: 'relative'
        });
    },
    alignTop: {
        top: 0
    },
    alignBottom: {
        bottom: 0
    },
    legendBar: function (_a) {
        var colors = _a.colors;
        return ({
            background: "linear-gradient(to top, ".concat(colors.join(', '), ")"),
            width: "".concat(barWidth, "px"),
            position: 'absolute',
            top: 0,
            right: 0,
            bottom: 0
        });
    },
    legendLabel: function (_a) {
        var width = _a.width;
        return ({
            position: 'absolute',
            fontSize: '13px',
            lineHeight: '15px',
            fontWeight: 'normal',
            color: theme.palette.text.primary,
            width: "".concat(width - barWidth, "px"),
            textAlign: 'right',
            right: "".concat(barWidth, "px"),
            paddingRight: '10px',
            boxSizing: 'border-box',
            overflowWrap: 'break-word'
        });
    }
}); });
